### Virtual Method

# Camel MessageInfo set_user_tag

since: 3.24

#### Declaration [src]

    gboolean
    set_user_tag (
      CamelMessageInfo* mi,
      const gchar* name,
      const gchar* value
    )

#### Description [src]

Set user tag `name` to `value`, or remove it, if `value` is `NULL`.

If the `mi` changed, the ‘dirty’ flag and the ‘folder-flagged’ flag are set automatically, unless the `mi` is aborting notifications. There is also emitted folder’s “changed” signal for this `mi`, if necessary.

Available since: 3.24

#### Parameters

`name`

  Type: `const gchar*`

  User tag name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `const gchar*`

  User tag value, or `NULL` to remove the user tag.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

Whether the `mi` changed.